%define name stormbaancoureur
%define version	2.1.4
%define release %mkrel 2

Summary: Simulated obstacle course for automobiles
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://bram.creative4vision.nl/sturmbahnfahrer/download/%{name}-%{version}.tar.gz
Source1: %{name}-16.png
Source2: %{name}-32.png
Source3: %{name}-48.png
Patch0: %{name}-1.5.2-use-shared-ode.patch
Group: Games/Arcade
License: GPL
URL: http://www.sturmbahnfahrer.com/
BuildRoot: %_tmppath/%{name}-build
BuildRequires: ode-devel >= 0.6
BuildRequires: plib-devel
BuildRequires: ImageMagick
BuildRequires: mesaglut-devel
BuildRequires: alsa-lib-devel
Obsoletes: sturmbahnfahrer

%description
Stormbaan Coureur is the Linux game that was formerly known as 
Sturmbahnfahrer.

It is back with a larger track, more challenges, many improvements in a 
PC (Politically Correct) edition.

In this game, it is all about the car Physics.

If you want to master it, try to have the laws of physics work with you, not
against you.

Enabling technologies behind Stormbaan Coureur include ODE, the Open Dynamics 
Engine and the portable game library known as PLIB.

Stormbaan Coureur is a game by Bram Stolk.

%prep

%setup -q -n %{name}-%{version}/src-%{name}
%patch -p0
# x86_64
perl -pi -e "s#LIBDIRNAME=lib#LIBDIRNAME=%{_lib}#g" Makefile

%build
%make

%install
rm -rf %{buildroot}
%makeinstall DESTDIR=%{buildroot}

#icons
install -d -m 755 %{buildroot}/%{_miconsdir}
install -m 644 %{SOURCE1} %{buildroot}/%{_miconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_iconsdir}
install -m 644 %{SOURCE2} %{buildroot}/%{_iconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_liconsdir}
install -m 644 %{SOURCE3} %{buildroot}/%{_liconsdir}/%{name}.png

#xdg menu
install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Stormbaancoureur
Comment=Simulated obstacle course for automobiles
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files
%defattr(-,root,root)
%doc JOYSTICKS README TODO *.keys.example
%attr(0755,root,games) %{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop

%clean
rm -rf %{buildroot}


%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.4-2mdv2009.0
+ Revision: 269392
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Apr 21 2008 Guillaume Bedot <littletux@mandriva.org> 2.1.4-1mdv2009.0
+ Revision: 196357
- 2.1.4

* Wed Mar 26 2008 Guillaume Bedot <littletux@mandriva.org> 2.1.3-1mdv2009.0
+ Revision: 190339
- 2.1.3

* Tue Mar 11 2008 Erwan Velu <erwan@mandriva.org> 2.1.2-1mdv2008.1
+ Revision: 186958
- 2.1.2

* Tue Mar 04 2008 Guillaume Bedot <littletux@mandriva.org> 2.1.1-1mdv2008.1
+ Revision: 178868
- create stormbaancoureur

